h16858
s 00092/00000/00000
d D 1.1 83/03/23 16:17:45 bog 1 0
c date and time created 83/03/23 16:17:45 by bog
e
u
4
U
t
T
I 1
#############################################################################
#									    #
#	This material is confidential and is furnished under		    #
#	a written license agreement.  It may not be used,		    #
#	copied or disclosed to others except in accordance		    #
#	with the terms of that agreement.				    #
#									    #
#	Copyright (C) 1982 Graphic Software Systems, Inc.		    #
#	All rights reserved.						    #
#									    #
#############################################################################
#									    #
#	Function:  							    #
#		Logical Function EmLGet (Common,VarPtr)			    #
#			Input	Common:	CHARACTER <common> code		    #
#				VarPtr:	Integer <variable> index	    #
#			Output	EmLGet	Logical value of <variable>	    #
#					  VarPtr in <common> Common	    #
#		    Variable fetcher for Menu subsystem.		    #
#									    #
#	Called By:							    #
#									    #
#	Routines Called:						    #
#									    #
#############################################################################
 
LOGICAL Function EmLGet(Common,VarPtr)
CHARACTER Common
INTEGER VarPtr
 
CHARACTER C
INTEGER V
 
BEGINCOMMON
COMMON(BEAMSTATE)
COMMON(COMMCAPABILITY)
COMMON(COMMSTATE)
#COMMON(INITIALIZATION)
COMMON(MENUMACHINE)
COMMON(SPECIALKEYS)
COMMON(STRAPS)
COMMON(SWITCHES)
ENDCOMMON
 
V = VarPtr			# Assume not indexed access
C = Common
 
If (C < 0) {			# Indexed access
  V = V+MenIx-1			#  is 1-based
  C = -C			# Make <common> positive
  }
 
#Switch (C) {				# Switch on commons
{Goto (101,102,103,199,105,106,107,108),C
 
# Case MEmBeamState:	EmLGet = LBmSt(V)
    101 EmLGet = LBmSt(V)
    Goto 199
 
# Case MCommCap:	EmLGet = LCmCp(V)
    102 EmLGet = LCmCp(V)
    Goto 199
 
# Case MCommState:	EmLGet = LCmSt(V)
    103 EmLGet = LCmSt(V)
    Goto 199
 
# Case MEmInit:		EmLGet = LInit(V)
#   104 EmLGet = LInit(V)
#   Goto 199
 
# Case MenuMachine:	EmLGet = LMenu(V)
    105 EmLGet = LMenu(V)
    Goto 199
 
# Case MSpecialKeys:	EmLGet = LSpKey(V)
    106 EmLGet = LSpKey(V)
    Goto 199
 
# Case MEmStraps:	EmLGet = LStrap(V)
    107 EmLGet = LStrap(V)
    Goto 199
 
# Case MEmSwitches:	EmLGet = LSwtch(V)
    108 EmLGet = LSwtch(V)
#   Goto 199
 
  199 Continue
  }
 
Return
End
E 1
